<%@ Page CodeFileBaseClass="IlgharCMS.Lib.MemberPageBase" %>
<script language="c#" runat="server">
protected string Condition()
{
	StringBuilder condition = new StringBuilder();
	string and = String.Empty;

	#region 是否回收
	string isRecycled = Request.QueryString["IsRecycled"];
	if (isRecycled == null)
		condition.Append(Alias.Picture.IsDeleted + "=false");
	else if (isRecycled != String.Empty)
		condition.Append(Alias.Picture.IsDeleted + "=" + isRecycled);
	#endregion

	if (and == String.Empty && condition.Length != 0)
		and = " AND ";

	#region 是否审核
	string isChecked = Request.QueryString["IsChecked"];
	if (isChecked == null)
		condition.Append(and + Alias.Picture.IsChecked + "=true");
	else if (isChecked != String.Empty)
		condition.Append(and + Alias.Picture.IsChecked + "=" + isChecked);
	#endregion

	if (and == String.Empty && condition.Length != 0)
		and = " AND ";

	#region 是否推荐
	string isRecommended = Request.QueryString["IsRecommended"];
	if (!String.IsNullOrEmpty(isRecommended))
		condition.Append(and + Alias.Picture.IsRecommended + "=" + isRecommended);
	#endregion

	if (and == String.Empty && condition.Length != 0)
		and = " AND ";

	#region 是否置顶
	string isHeld = Request.QueryString["IsHeld"];
	if (!String.IsNullOrEmpty(isHeld))
		condition.Append(and + Alias.Picture.IsHeld + "=" + isHeld);
	#endregion

	if (and == String.Empty && condition.Length != 0)
		and = " AND ";

	#region 类别
	string categoryID = Request.QueryString["CategoryID"];
	if (!String.IsNullOrEmpty(categoryID))
	{
		if (Convert.ToBoolean(Request.QueryString["IncludeSubCategory"]))
		{
			condition.Append(and + Alias.Picture.IncludeSubCategory + "=" + categoryID);
		}
		else
		{
			if (categoryID == "0")
				condition.Append(and + Alias.Picture.CategoryID + " IS NULL");
			else
				condition.Append(and + Alias.Picture.CategoryID + "=" + categoryID);
		}
	}
	#endregion

	if (and == String.Empty && condition.Length != 0)
		and = " AND ";

	#region 关键词
	string keyword = Request.QueryString["Keyword"];
	if (!String.IsNullOrEmpty(keyword))
	{
		switch (Request.QueryString["KeywordType"])
		{
			case "Name":
				condition.Append(and + Alias.Picture.Name + " LIKE '%" + keyword + "%'");
				break;
			case "AlbumName":
				condition.Append(and + Alias.Picture.AlbumNames + " LIKE '%" + keyword + "%'");
				break;
			case "PersonName":
				condition.Append(and + Alias.Picture.PersonNames + " LIKE '%" + keyword + "%'");
				break;
			case "TagName":
				condition.Append(and + Alias.Picture.TagNames + " LIKE '%" + keyword + "%'");
				break;
		}
	}
	#endregion
	
	return condition.ToString();
}

protected string Sort()
{
	string sort = String.Empty;
	switch (Request.QueryString["Sort"])
	{
		case "1":
			sort = Alias.Picture.UpdateTime + " DESC";
			break;
		case "2":
			sort = Alias.Picture.UpdateTime + " ASC";
			break;
		case "3":
			sort = Alias.Picture.HitCount + " DESC";
			break;
		case "4":
			sort = Alias.Picture.HitCount + " ASC";
			break;
		case "5":
			sort = Alias.Picture.Recommend + " DESC";
			break;
		case "6":
			sort = Alias.Picture.Recommend + " ASC";
			break;
		case "7":
			sort = Alias.Picture.Hold + " DESC";
			break;
		case "8":
			sort = Alias.Picture.Hold + " ASC";
			break;
		case "9":
			sort = Alias.Picture.InnerID + " DESC";
			break;
		case "10":
			sort = Alias.Picture.InnerID + " ASC";
			break;
		case "11":
			sort = Alias.Picture.Up + " DESC";
			break;
		case "12":
			sort = Alias.Picture.Up + " ASC";
			break;
		case "13":
			sort = Alias.Picture.Down + " DESC";
			break;
		case "14":
			sort = Alias.Picture.Down + " ASC";
			break;
		default:
			sort = Alias.Picture.UpdateTime + " DESC";
			break;
	}
	
	return sort;
}

protected bool ListByPicture
{
	get
	{
		if (Request.QueryString["ListByPicture"] != null)
			return Convert.ToBoolean(Request.QueryString["ListByPicture"]);
		else if (Request.Cookies["ListByPicture"] != null)
			return Convert.ToBoolean(Request.Cookies["ListByPicture"].Value);
		else
			return false;
	}
}
</script>
<ilghar:List ID="List" Object="Picture" Page="PageNumber" PageSize="20" Condition="Condition()" Sort="Sort()" />
<%If ListByPicture%>
	<ilghar:List Object="Picture" Source="List">
		<ilghar:Row MaxCol="4">
			<ul>
				<ilghar:Col MaxRecord="1">
					<ilghar:Record>
						<li>
							<a href="edit.aspx?ID=<%=InnerID%>"><img src="<%=Thumbnail%>" /></a>
							<div class="<%=PageLang%>Font"><a href="edit.aspx?ID=<%=InnerID%>"><%=Name%></a><input type="checkbox" name="Sel" value="<%=InnerID%>" /></div>
						</li>
					</ilghar:Record>
				</ilghar:Col>
			</ul>
		</ilghar:Row>
	</ilghar:List>
<%Else%>
	<table border="0" cellpadding="4" cellspacing="1" class="ListTable">
		<thead>
			<tr>
				<th width="40">选择</th>
				<th>名称</th>
				<th width="110">更新日期</th>
				<th width="40">人气</th>
				<th width="40">顶</th>
				<th width="40">踩</th>
				<th width="40">错误</th>
			</tr>
		</thead>
		<tbody>
			<ilghar:List Object="Picture" Source="List">
				<ilghar:Record>
					<tr id="Row<%=InnerID%>">
						<td><input type="checkbox" name="Sel" value="<%=InnerID%>" /></td>
						<td class="<%=PageLang%>Font"><a href="edit.aspx?ID=<%=InnerID%>"><%=Name%></a></td>
						<td><%=UpdateTime%></td>
						<td><%=HitCount%></td>
						<td><%=Up%></td>
						<td><%=Down%></td>
						<td><%=Error%></td>
					</tr>
				</ilghar:Record>
			</ilghar:List>
		</tbody>
	</table>
<%EndIf%>
<ilghar:Pagination Page="PageNumber" PageSize="20" RecordCount="List[RecordCount]">
	<div class="Pagination">
		<div class="Left">共 <%=RecordCount%> 条 当前显示第 <%=PageNumber%> 页 第 <%=RangeLower%>-<%=RangeUpper%> 条 </div>
		<div class="Right">
			<ilghar:FirstPage>
				<ilghar:Yes>
					<img src="<%=ImagePath%>pagination/first_page_off.gif"/>
					<img src="<%=ImagePath%>pagination/previous_page_off.gif"/>
				</ilghar:Yes>
				<ilghar:No>
					<a href="javascript:Go(1)"><img src="<%=ImagePath%>pagination/first_page_on.gif"/></a>
					<a href="javascript:Go(<%=PageNumber%> - 1)" id="PrevPage"><img src="<%=ImagePath%>pagination/previous_page_on.gif"/></a>
				</ilghar:No>
			</ilghar:FirstPage>
			<ilghar:CurrentPage Range="5">
				<ilghar:Yes>
					<span class="Current"><%=Index%></span>						
				</ilghar:Yes>
				<ilghar:No>
					<a href="javascript:Go(<%=Index%>)">[<%=Index%>]</a>
				</ilghar:No>
			</ilghar:CurrentPage>
			<ilghar:LastPage>
				<ilghar:Yes>
					<img src="<%=ImagePath%>pagination/next_page_off.gif"/>
					<img src="<%=ImagePath%>pagination/last_page_off.gif"/>
				</ilghar:Yes>
				<ilghar:No>
					<a href="javascript:Go(<%=PageNumber%> + 1)" id="NextPage"><img src="<%=ImagePath%>pagination/next_page_on.gif"/></a>
					<a href="javascript:Go(<%=PageCount%>)"><img src="<%=ImagePath%>pagination/last_page_on.gif"/></a>
				</ilghar:No>
			</ilghar:LastPage>
		</div>
	</div>
</ilghar:Pagination>